not to worry!
the error is a result of using Ejs 4.3.0
i used Ejs 4.3.3.1 and it is ok now
enjoy!